// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdEIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdEIdentPlugin", targets: ["WebIdEIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "AusweisApp2",
            url: "https://github.com/Governikus/AusweisApp2-SDK-iOS",
            .exact("1.26.5")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdEIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdEIdentPlugin/6.3.0/WebIdEIdentPlugin.framework-v6.3.0-SNAPSHOT-393.zip",
            checksum: "2b651aedbbdc6c6227d92938828141c555ecc3d8850a18ac8b3e9870929b2257"
        ),
        .target(
            name: "WebIdEIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdEIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "AusweisApp2", package: "AusweisApp2"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
